#include "timertest.h"
#include "ui_timertest.h"

TimerTest::TimerTest(QWidget *parent) : QMainWindow(parent), ui(new Ui::TimerTest)
{
    ui->setupUi(this);

    init();
}

void TimerTest::init()
{
    startTime = new QTime(0,0,30,0);
    runningTime = new QTime();

    myTimer = new QTimer(this);
    myTimer->setInterval(1000);

    connect(myTimer, SIGNAL(timeout()), this, SLOT(myTimer_TimeOut()));

    ui->lcdNumber->display(startTime->toString("hh:mm:ss"));
}

void TimerTest::myTimer_TimeOut()
{
    QTime time_out = startTime->addMSecs(runningTime->elapsed()*-1);
    ui->lcdNumber->display(time_out.toString("hh:mm:ss"));

    if(time_out == QTime(0,0,0,0))
        myTimer->stop();
}

void TimerTest::on_btnStartStop_toggled(bool checked)
{
    if(checked)
    {
        startTime->start();
        myTimer->start();
    }
    else
    {
        myTimer->stop();
    }
}

TimerTest::~TimerTest()
{
    delete ui;
}
